#include <iostream>
#include <cmath>
#include <map>
#include <iterator>
#include <iomanip>
using namespace std;



int main()
{
    int n;
    double pomk, pomv;
    cin >> n;
    map<double, double> a;
    map<double, double>::iterator it;
    map<double, double>::reverse_iterator it1;
    for (int i = 0; i < n; i++)
    {
        cin >> pomv >> pomk;
        it = a.find(pomk);
        if (it != a.end())
            it->second += pomv;
        else
            a.insert({ pomk, pomv });
    }
    pomv = 0;
    pomk = 0;
    for (it1 = a.rbegin(); it1 != a.rend(); it1++)
    {
        pomv += it1->second;
        if (pomv / 100 * it1->first > pomk)
            pomk = pomv / 100 * it1->first;
    }
    cout << setprecision(51) << pomk;
}